/*  JPGalleg: JPEG loading routines for Allegro
 *
 *  version 1.1, by Angelo Mottola, May/June 2000
 *
 *  Example 1: how to load JPG images from standard JPG files on disk.
 *
 *  See the README file for instruction on using this package!
 */

#include <allegro.h>
#include "jpgalleg.h"

int main()
{
   BITMAP *bmp;

   allegro_init();
   install_keyboard();
   
   set_color_depth(16);
   if (set_gfx_mode(GFX_AUTODETECT, 640, 480, 0, 0)) {
      allegro_message("set_gfx_mode(): %s", allegro_error);
      return 1;
   }

   clear(screen);
   /* we don't care about the palette, as we're in hicolor mode */
   bmp = load_jpg("jpgalleg.jpg", NULL);
   if (!bmp) {
      set_gfx_mode(GFX_TEXT, 0, 0, 0, 0);
      allegro_message("Error loading jpgalleg.jpg\n");
      return 1;
   }
   blit(bmp, screen, 0, 0, 0, 0, bmp->w, bmp->h);
   destroy_bitmap(bmp);
   readkey();

   clear(screen);
   bmp = load_jpg("example1.jpg", NULL);
   if (!bmp) {
      set_gfx_mode(GFX_TEXT, 0, 0, 0, 0);
      allegro_message("Error loading jpgalleg.jpg\n");
      return 1;
   }
   blit(bmp, screen, 0, 0, 0, 0, bmp->w, bmp->h);
   destroy_bitmap(bmp);
   readkey();

   clear(screen);
   bmp = load_jpg("example2.jpg", NULL);
   if (!bmp) {
      set_gfx_mode(GFX_TEXT, 0, 0, 0, 0);
      allegro_message("Error loading jpgalleg.jpg\n");
      return 1;
   }
   blit(bmp, screen, 0, 0, 0, 0, bmp->w, bmp->h);
   destroy_bitmap(bmp);
   readkey();

   set_gfx_mode(GFX_TEXT, 0, 0, 0, 0);
   return 0;
}
END_OF_MAIN()
